Package org.apache.sling.resourceresolver.impl.helper

# Class URI.LocaleToCharsetMap

java.lang.Object
org.apache.sling.resourceresolver.impl.helper.URI.LocaleToCharsetMap

Enclosing class:
  URI

public static class URI.LocaleToCharsetMap extends Object
A mapping to determine the (somewhat arbitrarily) preferred charset for a given locale. Supports all locales recognized in JDK 1.1. The distribution of this class is Servlets.com. It was originally written by Jason Hunter [jhunter at acm.org] and used by with permission.

## Constructor Summary

Constructors
Constructor
Description
`LocaleToCharsetMap()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getCharset(Locale locale)`
Get the preferred charset for the given locale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocaleToCharsetMap

public LocaleToCharsetMap()

## Method Details

### getCharset

public static String getCharset(Locale locale)
Get the preferred charset for the given locale.

Parameters:
  `locale` - the locale
Returns:
  the preferred charset or null if the locale is not recognized.